zenilib: zenilib/jni/external/sdl/src/video/SDL_blit_1.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions | Variables
SDL_blit_1.c File Reference
`#include "SDL_config.h"`
`#include "SDL_video.h"`
`#include "SDL_blit.h"`
`#include "SDL_sysvideo.h"`
`#include "SDL_endian.h"`

Go to the source code of this file.

## Macros

#define | HI 1
#define | LO 0

## Functions

static void | Blit1to1 (SDL_BlitInfo *info)
static void | Blit1to1Key (SDL_BlitInfo *info)
static void | Blit1to2 (SDL_BlitInfo *info)
static void | Blit1to2Key (SDL_BlitInfo *info)
static void | Blit1to3 (SDL_BlitInfo *info)
static void | Blit1to3Key (SDL_BlitInfo *info)
static void | Blit1to4 (SDL_BlitInfo *info)
static void | Blit1to4Key (SDL_BlitInfo *info)
static void | Blit1toNAlpha (SDL_BlitInfo *info)
static void | Blit1toNAlphaKey (SDL_BlitInfo *info)
SDL_BlitFunc | SDL_CalculateBlit1 (SDL_Surface *surface)

## Variables

static const SDL_BlitFunc | one_blit []
static const SDL_BlitFunc | one_blitkey []

## Macro Definition Documentation

#define HI 1

Definition at line 74 of file SDL_blit_1.c.

Referenced by Blit1to2().

#define LO 0

Definition at line 75 of file SDL_blit_1.c.

Referenced by Blit1to2().

## Function Documentation

static void Blit1to1 | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 31 of file SDL_blit_1.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_skip, SDL_BlitInfo::dst_w, DUFFS_LOOP, map, SDL_BlitInfo::src, SDL_BlitInfo::src_skip, and SDL_BlitInfo::table.

static void Blit1to1Key | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 285 of file SDL_blit_1.c.

References SDL_BlitInfo::colorkey, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_skip, SDL_BlitInfo::dst_w, DUFFS_LOOP, SDL_BlitInfo::src, SDL_BlitInfo::src_skip, and SDL_BlitInfo::table.

static void Blit1to2 | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 81 of file SDL_blit_1.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_skip, SDL_BlitInfo::dst_w, DUFFS_LOOP, HI, LO, map, SDL_BlitInfo::src, SDL_BlitInfo::src_skip, SDL_BlitInfo::table, USE_DUFFS_LOOP, and while().

static void Blit1to2Key | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 332 of file SDL_blit_1.c.

References SDL_BlitInfo::colorkey, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_skip, SDL_BlitInfo::dst_w, DUFFS_LOOP, SDL_BlitInfo::src, SDL_BlitInfo::src_skip, and SDL_BlitInfo::table.

static void Blit1to3 | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 188 of file SDL_blit_1.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_skip, SDL_BlitInfo::dst_w, DUFFS_LOOP, map, SDL_BlitInfo::src, SDL_BlitInfo::src_skip, and SDL_BlitInfo::table.

static void Blit1to3Key | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 364 of file SDL_blit_1.c.

References SDL_BlitInfo::colorkey, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_skip, SDL_BlitInfo::dst_w, DUFFS_LOOP, SDL_BlitInfo::src, SDL_BlitInfo::src_skip, and SDL_BlitInfo::table.

static void Blit1to4 | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 237 of file SDL_blit_1.c.

References SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_skip, SDL_BlitInfo::dst_w, DUFFS_LOOP, map, SDL_BlitInfo::src, SDL_BlitInfo::src_skip, and SDL_BlitInfo::table.

static void Blit1to4Key | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 397 of file SDL_blit_1.c.

References SDL_BlitInfo::colorkey, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_skip, SDL_BlitInfo::dst_w, DUFFS_LOOP, SDL_BlitInfo::src, SDL_BlitInfo::src_skip, and SDL_BlitInfo::table.

static void Blit1toNAlpha | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 429 of file SDL_blit_1.c.

References SDL_BlitInfo::a, ALPHA_BLEND_RGBA, ASSEMBLE_RGBA, SDL_Color::b, SDL_PixelFormat::BytesPerPixel, SDL_Palette::colors, DISEMBLE_RGBA, SDL_BlitInfo::dst, SDL_BlitInfo::dst_fmt, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_skip, SDL_BlitInfo::dst_w, DUFFS_LOOP4, SDL_Color::g, SDL_PixelFormat::palette, SDL_Color::r, SDL_BlitInfo::src, SDL_BlitInfo::src_fmt, and SDL_BlitInfo::src_skip.

Referenced by SDL_CalculateBlit1().

static void Blit1toNAlphaKey | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 469 of file SDL_blit_1.c.

References SDL_BlitInfo::a, ALPHA_BLEND_RGBA, ASSEMBLE_RGBA, SDL_Color::b, SDL_PixelFormat::BytesPerPixel, SDL_BlitInfo::colorkey, SDL_Palette::colors, DISEMBLE_RGBA, SDL_BlitInfo::dst, SDL_BlitInfo::dst_fmt, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_skip, SDL_BlitInfo::dst_w, DUFFS_LOOP, SDL_Color::g, SDL_PixelFormat::palette, SDL_Color::r, SDL_BlitInfo::src, SDL_BlitInfo::src_fmt, and SDL_BlitInfo::src_skip.

Referenced by SDL_CalculateBlit1().

SDL_BlitFunc SDL_CalculateBlit1 | ( | SDL_Surface * | surface | ) |

Definition at line 520 of file SDL_blit_1.c.

References SDL_PixelFormat::BitsPerPixel, Blit1toNAlpha(), Blit1toNAlphaKey(), SDL_PixelFormat::BytesPerPixel, SDL_BlitMap::dst, SDL_BlitInfo::flags, SDL_Surface::format, SDL_BlitMap::info, SDL_Surface::map, NULL, one_blit, SDL_COPY_BLEND, SDL_COPY_COLORKEY, SDL_COPY_MODULATE_ALPHA, and SDL_COPY_RLE_MASK.

Referenced by SDL_CalculateBlit().

## Variable Documentation

const SDL_BlitFunc one_blit[]

static

Initial value:
= {
(SDL_BlitFunc) NULL, Blit1to1, Blit1to2, Blit1to3, Blit1to4
}
NULL
#define NULL
Definition: ftobjs.h:61
Blit1to2
static void Blit1to2(SDL_BlitInfo *info)
Definition: SDL_blit_1.c:81
Blit1to3
static void Blit1to3(SDL_BlitInfo *info)
Definition: SDL_blit_1.c:188
Blit1to4
static void Blit1to4(SDL_BlitInfo *info)
Definition: SDL_blit_1.c:237
Blit1to1
static void Blit1to1(SDL_BlitInfo *info)
Definition: SDL_blit_1.c:31

Definition at line 511 of file SDL_blit_1.c.

Referenced by SDL_CalculateBlit1().

const SDL_BlitFunc one_blitkey[]

static

Initial value:
= {
(SDL_BlitFunc) NULL, Blit1to1Key, Blit1to2Key, Blit1to3Key, Blit1to4Key
}
NULL
#define NULL
Definition: ftobjs.h:61
Blit1to3Key
static void Blit1to3Key(SDL_BlitInfo *info)
Definition: SDL_blit_1.c:364
Blit1to2Key
static void Blit1to2Key(SDL_BlitInfo *info)
Definition: SDL_blit_1.c:332
Blit1to4Key
static void Blit1to4Key(SDL_BlitInfo *info)
Definition: SDL_blit_1.c:397
Blit1to1Key
static void Blit1to1Key(SDL_BlitInfo *info)
Definition: SDL_blit_1.c:285

Definition at line 515 of file SDL_blit_1.c.